offer.update

Updates an existing Offer

Requires the offersWrite permission.

Offer forms support a variety of field types. The values accepted for each field depend on the type of field that's being filled out:

  • Boolean - A boolean value.
  • Currency - An object in the format { currencyCode: "USD", value: 100000 } where currencyCode is a valid ISO 4217 currency code and value is an integer.
  • Date - A valid ISO Date string.
  • Number - An integer.
  • String - A string.
  • ValueSelect - A string that matches the value of one of the ValueSelect field's selectable options.
  • MultiValueSelect - An array of strings that exist in the MultiValueSelect field's selectable options.

Calling this endpoint will create a new version of the offer and retrigger any necessary approval steps.

Body Params
uuid
required

The id of the offer you're updating.

offerForm
object
required

The form submission for the offer. Can be retrieved from offer.info.

Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json